Album: War Marks
Date: March 29, 2022
Date Added: April 13, 2024
URLs:
- https://thehighblood.bandcamp.com/album/war-marks
Artists:
- Xszelor
- Highblood
Cover Artists:
- Xszelor
Art Tags:
- 'cw: blood (abstract)'
Cover Art File Extension: png
Color: '#9F6FE2'
Groups:
- Xszelor
- Fandom
Commentary: |-
    <i>Xszelor:</i>
    EP grinding on more sounds, trying to create perfect Grub Stew or dinner. It might be more RAW than other full works but it still EP, and who knows what will slam your hivedoor at next fulltime.
---
Track: Throne of Grand Highblood
Duration: '3:25'
URLs:
- https://thehighblood.bandcamp.com/album/war-marks
---
Track: Condemn the Crimson Witch (The Megido Horror)
Duration: '3:29'
#Seems to have lyrics, incomprehensible
URLs:
- https://thehighblood.bandcamp.com/track/condemn-the-crimson-witch-the-megido-horror
---
Track: Purple Terror
Duration: '3:21'
#Seems to have lyrics, incomprehensible
URLs:
- https://thehighblood.bandcamp.com/track/purple-terror
---
Track: War Marks
Duration: '2:51'
#Seems to have lyrics, incomprehensible
URLs:
- https://thehighblood.bandcamp.com/track/war-marks
